For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList rate brackets
      • POSTCreate a rate bracket
      • GETGet rate bracket by ID
      • PUTUpdate rate bracket (full)
      • DELDelete rate bracket
      • PATCHUpdate rate bracket (partial)
      • GETGet rate brackets by product
Calculator
LogoLogo
EndpointsRate Brackets

List rate brackets

GET
https://api.finput.com.au/api/v1/rate-brackets
GET
/api/v1/rate-brackets
$curl https://api.finput.com.au/api/v1/rate-brackets \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "bracket_name": "bracket_name",
5 "product_id": 1,
6 "base_rate": 1.1,
7 "min_range": 1,
8 "max_range": 1,
9 "min_amount": 1.1,
10 "max_amount": 1.1,
11 "min_abn_age": 1,
12 "max_abn_age": 1,
13 "min_asset_age": 1,
14 "max_asset_age": 1,
15 "min_gst_age": 1,
16 "max_gst_age": 1,
17 "min_asset_age_plus_term": 1,
18 "max_asset_age_plus_term": 1,
19 "min_credit_score": 1,
20 "max_credit_score": 1,
21 "compounding_frequency": "w",
22 "brokerage_loading_treatment": 1.1,
23 "max_origination_fee_limit": 1.1,
24 "doc_fee_financed": "yes",
25 "private_sale": "yes",
26 "sale_hire_back": "yes",
27 "home_owner": "yes",
28 "created_at": "2024-01-15T09:30:00Z",
29 "updated_at": "2024-01-15T09:30:00Z"
30 }
31]
Returns all rate brackets, optionally filtered by product.
Was this page helpful?
Previous

Create a rate bracket

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

product_idintegerOptional
Filter rate brackets by product ID

Response

List of rate brackets
idinteger
bracket_namestring
product_idinteger
ID of the parent product
base_ratedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Base interest rate (%)

min_rangeinteger
max_rangeinteger
min_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_amountdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
min_abn_ageinteger
max_abn_ageinteger
min_asset_ageinteger
max_asset_ageinteger
min_gst_ageinteger
max_gst_ageinteger
min_asset_age_plus_terminteger
max_asset_age_plus_terminteger
min_credit_scoreinteger
max_credit_scoreinteger
compounding_frequencyenum

Compounding frequency:

  • w - Weekly
  • m - Monthly
  • q - Quarterly
  • y - Yearly
Allowed values:
brokerage_loading_treatmentdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_origination_fee_limitdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
doc_fee_financedenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
private_saleenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
sale_hire_backenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
home_ownerenum

Tri-state choice for product/rate bracket feature flags

Allowed values:
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z